List budgets
Query parameters
filtersnullable object
JSON object, passed as a query-string value.
paginationnullable object
JSON object with pageNumber and pageSize.
pageNumbernullable number
1-based page. Defaults to 1.
pageSizenullable number
Items per page. Defaults to 100.
GET/category-budgets
curl https://api.finwiseapp.io/category-budgets \-X GET \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/category-budgets', {method: 'GET',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},})const data = await response.json()
Response
[{"id": "22bb33cc-44dd-4eef-9f00-556677889900","createdAt": "2026-03-01T00:00:00.000Z","updatedAt": "2026-03-01T00:00:00.000Z","userId": "f472696c-47ac-4873-98cf-2a1069a1cf45","transactionCategoryId": "a00cb43b-ab06-447c-8aeb-527680b20a50","transactionCategoryGroupId": null,"amount": {"amount": 600,"currencyCode": "USD"},"appliesFromBudgetPeriod": "2026-03-01T00:00:00.000Z","appliesToBudgetPeriod": null,"transactionType": "debit"}]